Unstable: Crashes when saving project or loading image to Project Files

Bug #1775975 reported by SunBear on 2018-06-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenShot Video Editor
Undecided
Unassigned

Bug Description

I just installed Openshot Video Editor per website instruction.

Stable PPA (Contains only official releases)
sudo add-apt-repository ppa:openshot.developers/ppa
sudo apt-get update
sudo apt-get install openshot-qt

Before this I had ensured that Openshot video editor 1.4.3 application available for installed by Ubuntu 16.04 was removed and purged.

After starting Openshot, I was not able to use it to open any .osp files created by version 1.4.3. Also, ver. 2.4.1-dev1 also can't save a project or load any images to the Project File workspace; Openshot would just crash and shutdown.

I am using:

$ uname -a
Linux Eliot 4.10.0-42-generic #46~16.04.1-Ubuntu SMP Mon Dec 4 15:57:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ melt -version
mlt_repository_init: failed to dlopen /usr/lib/x86_64-linux-gnu/mlt/libmltqt.so
  (/usr/lib/x86_64-linux-gnu/libQt5Xml.so.5: undefined symbol: _ZNK7QString10startqWithE5QCharN2Qt35CaseSelsitivit{E)
melt 6.0.0
Copyright (C) 2002-2016 Meltytech, LLC
<http://www.mltframework.org/>
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Please advice how to get Openshot Video Editor working?

SunBear (sunbear-c22) wrote :

I have the following mlt packages installed:

$ dpkg -l | grep libmlt*
ii libmlt++3 6.0.0-2 amd64 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 6.0.0-2 all multimedia framework (data)
ii libmlt6 6.0.0-2 amd64 multimedia framework (runtime)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers